New Search

CRLF injection vulnerability in the HTTPConnection.putheader function in urllib2 and urllib in CPython (aka Python) before 2.7.10 and 3.x before 3.4.4 - CVE-2016-5699

oval:org.cisecurity:def:1267

CRLF injection vulnerability in the HTTPConnection.putheader function in urllib2 and urllib in CPython (aka Python) before 2.7.10 and 3.x before 3.4.4 allows remote attackers to inject arbitrary HTTP headers via CRLF sequences in a URL.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows XP
  • Microsoft Windows 8.1
  • Microsoft Windows Server 2008
  • Microsoft Windows 7
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows 10
  • Microsoft Windows Vista
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2003
  • Microsoft Windows 8
Class:
vulnerability
Reference(s):
  • CVE-2016-5699
Product(s):
  • Python